Finalmente debian sul muletto

Finalmente sono riuscito a installare debian sul muletto!

Ho preso un kernel 2.6.26-2-486, ci ho tirato fuori il modulo rt61pci.ko e poi l’ho masterizzato…

Risultato? La rete è andata da sola direttamente col “Ricerca hardware di rete” (o come si chiama)…

Ora ho debian lenny…

Ovviamente non poteva essere andato tutto bene…

Per passare a sid ho installato solo il sistema base e i mirror, ma mi sono dimenticato di installare il wpa_supplicant…

Ora mi metto a cercarlo su packages.debian.org e lo masterizzo…

Dopo è previsto l’aggiornamento a Sid e l’installazione di OpenSSH

Installare debian con wlan: questione d'orgoglio

L’installazione è fallita varie volte ☹️

Tuttavia io non mi arrendo!!

Intanto perché non ho voglia di: tirare fuori la scheda di rete eth, togliere una vite e la scheda wireless dal computer, mettere la scheda di rete cablata, spostare l’altro computer (o il cavo di rete) staccando tutti i vari cavi e poi per questione di orgoglio.

Voglio installare con la wlan e lo farò! Ho anche compilato i driver. Basta che mando un make install e poi saranno pronti.

In casi di sfiga avevo preparato kexec, ma mi dice che il mio non è un cd di Debian! In effetti l’ho costumizzato, ma non per questo non lo è.

Comunque in questi casi si dice: chi la dura la vince.

2 palle così per sapere che ci sono già!

A cosa mi riferisco?

Ma ai driver open della scheda di rete wireless del muletto!

Il muletto è dotato di una scheda wi-fi Edimax EW-7128g.

È una scheda dotata di chipset RaLink 2561, quindi ha i driver open rt2×00

Con Ubuntu (kernel 2.6.27-7-generic, se non sbaglio!) mi ero fatto 2 palle grossissime per attivarli, su Debian volevo partire di principio con i driver corretti! Dato che è netinstall e che non voglio spostare il cavo di rete che nell’ultimo pezzo sta aderente al muro grazie a due kg di scotch di carta.

Ora leggo sul sito che i driver sono già inclusi in linux dalla versione 2.6.24.

Quello dell’installazione è il 2.6.26-2-486 (fresco, preso con jigdo!) che è l’ultimo della stable e del testing. Per la croncaca sid (o unstable) che andrò a installare ha il kernel 2.6.30-1 (l’ultima è la 2.6.30.5).

Da una parte sono sollevato: ok, tutto bene! Non devo ricompilare kernel vari/modificare cd.

Ma la prossima volta, chipset atheros, così prendo madwifi e non ci penso più!